<template>
  <!-- 修改车皮装车实绩 -->
  <div class="contractDetails">
    <page-title>返回</page-title>

    <div class="form">
      <div class="form_box">
        <dil-form :formId="103" v-model="form1"></dil-form>
      </div>
    </div>
    <div class="fromOther">
      <el-form :inline="true" class="demo-form-inline" label-width="80px" style="margin-left:520px;">
        <el-form-item label="发站:">
          <el-autocomplete
            class="inline-input"
            v-model="sendStation"
            :fetch-suggestions="querySearchSendStation"
            placeholder="请输入发站名称"
            :trigger-on-focus="false"
            @select="handleSelectSendStation"
          >
            <template slot-scope="{ item }">
              <div class="name">{{ item.arrivalName }}</div>
            </template>
          </el-autocomplete>
        </el-form-item>
      </el-form>
      <el-form :inline="true" class="demo-form-inline" label-width="80px" style="margin-left:520px;">
        <el-form-item label="到站:">
          <el-autocomplete
            class="inline-input"
            v-model="toTheStation"
            :fetch-suggestions="querySearchToTheStation"
            placeholder="请输入到站名称"
            :trigger-on-focus="false"
            @select="handleSelectToTheStation"
          >
            <template slot-scope="{ item }">
              <div class="name">{{ item.arrivalName }}</div>
            </template>
          </el-autocomplete>
        </el-form-item>
      </el-form>
    </div>
    <!-- 确定和取消 -->
    <div class="button_box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
import { sjTime, isNumber } from "@/utils/sharedJsFile";
import {getCookie} from "@/utils/util.js";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
      sendStationId:null,
      toTheStationId:null,
      sendStation:"",
      toTheStation:""
    };
  },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      console.log("resultId"+this.$route.params.resultId);
      //编辑车皮装车作业
      this.axios
        .post(
          "/api/v1/tms/getTmstrainLoadingResultByResultId/" +
            this.$route.params.resultId
        )
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
            this.toTheStationId = e.arrivalStationId
            this.sendStationId = e.sendStationId
            this.sendStation = e.sendName
            this.toTheStation = e.arrivalName
            console.log(e)
          });
        });
    },
    handleCheckedCitiesChange(value) {
      console.log(value);
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    currentRadioChange(row) {
      this.aaaa = row;
    },
    //发站弹出层
    handleSelectSendStation(item) {
      this.sendStationId = item.arrivalId;
      this.sendStation = item.arrivalName;
    },
    //以下是发站边输边查搜索
    querySearchSendStation(queryString, cb) {
      this.axios
        .get("/api/v1/uc/getArrivalByLike?index=" + this.sendStation)
        .then((res) => {
          if (res.data.code == "200") {
            var restaurantsSupplier = res.data.data;
            console.log(restaurantsSupplier)
            var results = queryString
              ? restaurantsSupplier.filter(
                  this.createFilterSendStation(queryString)
                )
              : restaurantsSupplier;
            // 调用 callback 返回建议列表的数据
            cb(results);
          }
        });
    },
    //发站
    createFilterSendStation(queryString) {
      return (restaurantsSupplier) => {
        return (
          restaurantsSupplier.arrivalName
            .toLowerCase()
            .indexOf(queryString.toLowerCase()) > -1
        );
      };
    },
    //到站弹出层
    handleSelectToTheStation(item) {
      this.toTheStationId = item.arrivalId;
      this.toTheStation = item.arrivalName;
    },
    //以下是到站边输边查搜索
    querySearchToTheStation(queryString, cb) {
      this.axios
        .get("/api/v1/uc/getArrivalByLike?index=" + this.toTheStation)
        .then((res) => {
          if (res.data.code == "200") {
            var restaurantsSupplier = res.data.data;
            console.log(restaurantsSupplier)
            var results = queryString
              ? restaurantsSupplier.filter(
                  this.createFilterToTheStation(queryString)
                )
              : restaurantsSupplier;
            // 调用 callback 返回建议列表的数据
            cb(results);
          }
        });
    },
    //到站
    createFilterToTheStation(queryString) {
      return (restaurantsSupplier) => {
        return (
          restaurantsSupplier.arrivalName
            .toLowerCase()
            .indexOf(queryString.toLowerCase()) > -1
        );
      };
    },
    // 确认
    onClickConfirm() {
      let tmstrainLoadingResult = {
        resultId: this.$route.params.resultId,
        resultWagonNo: this.form1.resultWagonNo,
        resultBillableTonnage: this.form1.resultBillableTonnage,
        resultClass: this.form1.resultClass,
        resultIsclear: this.form1.resultIsclear,
        sendStationId: this.sendStationId,
        arrivalStationId: this.toTheStationId,
        resultLoadingDate: sjTime(this.form1.resultLoadingDate),
        batchId: this.form1.batchId,
        capacityId: this.form1.capacityId,
        resultMaterialTheoryweight: this.form1.resultMaterialTheoryweight,
        resultRemarks: this.form1.resultRemarks,
        purchaseOrderNo:this.form1.purchaseOrderNo,
        userId:getCookie("userId"),
        resultType:1
      };
      console.log(tmstrainLoadingResult);
      if (
        tmstrainLoadingResult.resultId ==null ||
        tmstrainLoadingResult.resultIsclear == null ||
        tmstrainLoadingResult.resultClass == null ||
        tmstrainLoadingResult.sendStationId == null ||
        tmstrainLoadingResult.arrivalStationId == null ||
        tmstrainLoadingResult.resultLoadingDate == null
      )
        this.$message.error("必填项存在空值！");
      else
        this.axios
          .post(
            "/api/v1/tms/upadteTmstrainLoadingResultByResultId",
            tmstrainLoadingResult
          )
          .then((res) => {
            if (res.data.code == "200") {
              this.$message({
                type: "success",
                message: "修改成功!",
              });
                this.$router.go(-1);
            }else{
               this.$message({
                type: "error",
                message: res.data.data,
              });
            }

          
          });
    },
  },
};
</script>
<style lang="scss">
.contractDetails {
  .form {
    display: flex;
    .form_box {
      width: 340px;
      margin-left: 35%;
      margin-top: 30px;
      margin-right: 20px;
      .el-form {
        .preview-group {
          .el-form-item {
            .el-form-item__label {
              display: inline-block;
              width: 70px !important;
            }
            .el-form-item__content {
              .el-select {
                width: 250px;
              }
              .el-input {
                width: 250px;
              }
              .el-textarea {
                .el-textarea__inner {
                  width: 220px;
                  margin-left: 65px;
                  margin-top: 0.03rem;
                }
              }
            }
          }
        }
      }
    }
  }
  .button_box {
    margin-left: 42%;
    margin-top: 55px;
  }
  .fromOther  .el-input__inner{
    width: 250px;
  }
}
</style>